lkml.org 
[lkml]   [1997]   [Jul]   [14]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
/
From
SubjectRe: 2.0.31 : please!
Date
> reading this group, by and large, are the people you speak of. But
> people who aren't hackers, and who are interested in Linux as an
> operating system, don't care why there isn't a stable kernel -- they
> just care that there isn't. We've seen how easy it is to be blown off
> by the major trade publications just because they can't RTFM. If we
> don't have a stable kernel, we don't have a prayer.

You do have a stable kernel - 2.0.29/2.0.27/1.2.13lmp .... and the
nature of free software ensures that people can do things like take the
new driver for the tulip and the old kernel and mix them in ways they can't
do with other machines. Almost all of our servers run 1.2.13lmp and 2.0.29
I drop the 2.0.31pre's on them just for tests if they seem stable at home.
You also don't need to be a hacker to help. The biggest single problem with
testing a new 2.0.x kernel is getting enough test data. Every single person
who sticks 2.0.31pre3 (when its out) on a machine and sees if it works -even
if the stick it on for the day and reboot back to 2.0.27 before they go
home, even if they just fire it up on a home machine and play quake under
it for an hour makes a difference. And if it doesnt work try and get a log
of the Oops message if you get one or file a report giving the hardware
info if it just mysteriously "doesn't work".

I'm always wary of the "so why didn't YOU fix it" approach - I've asked people
things like "so why didn't you fix the bug" and had replies back including
"because I'm back off to Bosnia delivering food aid"... however for the majority
just giving 2.0.31pre/2/3/... a spin and checking is helping yourself (2.0.31
is far more likely to work on your box if the pre-release does) and everyone
else.

Alan


\
 
 \ /
  Last update: 2005-03-22 13:39    [from the cache]
©2003-2011 Jasper Spaans